Steam热销新品

GET Steam Steam游戏PC游戏

查询 Steam 热销榜、新品发售、即将推出的游戏。

GET https://api.tinyaii.cn/v1/steam/featured

请求参数

参数名类型必填说明示例
limitint可选每类返回数量,默认10—

返回字段

字段类型说明
data.top_sellersarray热销榜
data.new_releasesarray新品发售
data.coming_soonarray即将推出
data.top_sellers[].appidintAppID
data.top_sellers[].namestring游戏名称
data.top_sellers[].final_pricefloat当前价格(元)
data.top_sellers[].discount_percentint折扣百分比

返回示例

{
  "code": 200,
  "data": {
    "coming_soon": [
      {
        "appid": 4667600,
        "discount_percent": 0,
        "final_price": 0.0,
        "header_image": "https://shared.akamai.steamstatic.com/store_item_assets/steam/apps/4667600/776df0ebaa0395c4630fe6cf16e02ceed6bc6bdc/header_schinese.jpg?t=1781491738",
        "name": "Don't Knife Me! Demo"
      },
      {
        "appid": 4701060,
        "discount_percent": 0,
        "final_price": 0.0,
        "header_image": "https://shared.akamai.steamstatic.com/store_item_assets/steam/apps/4701060/3b58dba7d0615aa7b0593be1d62785c1e394e7ec/header.jpg?t=1781204267",
        "name": "Chess Flicks"
      }
    ],
    "new_releases": [
      {
        "appid": 4089110,
        "discount_percent": 35,
        "final_price": 49.4,
        "header_image": "https://shared.akamai.steamstatic.com/store_item_assets/steam/apps/4089110/b8887a283bfc1943c01c5a9f20a97f94916e30a1/header.jpg?t=1781484634",
        "name": "Seal of Shadows"
      },
      {
        "appid": 3828610,
        "discount_percent": 10,
        "final_price": 56.7,
        "header_image": "https://shared.akamai.steamstatic.com/store_item_assets/steam/apps/3828610/98f74e2d4d0720fecb23d506b3f69574ad20e368/header_schinese.jpg?t=1781481574",
        "name": "末日降临!被美女们关进避难所!?"
      }
    ],
    "top_sellers": [
      {
        "appid": 77115,
        "discount_percent": 12,
        "final_price": 88.72,
        "header_image": "https://shared.akamai.steamstatic.com/store_item_assets/steam/bundles/77115/1hrsbv4wokbvv1h9/6f58e9dffac1a785ca29b639608c9662dd5e740a/header_ratio_schinese.jpg?t=1780022991",
        "name": "《女王的游戏:盛世天下》媚娘篇与女帝篇合集"
      },
      {
        "appid": 4704690,
        "discount_percent": 20,
        "final_price": 20.8,
        "header_image": "https://shared.akamai.steamstatic.com/store_item_assets/steam/apps/4704690/163e2a742e5fb8e1f5d1e3a890da98f04ab809d4/header.jpg?t=1781108224",
        "name": "MECCHA CHAMELEON"
      }
    ]
  },
  "message": "success"
}

调用示例

curl "https://api.tinyaii.cn/v1/steam/featured?limit=1" \
  -H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch("https://api.tinyaii.cn/v1/steam/featured?limit=1", {
  headers: { "Authorization": "Bearer YOUR_API_KEY" },
});
console.log(await res.json());
import requests

resp = requests.get(
    "https://api.tinyaii.cn/v1/steam/featured",
    params={"limit": "1"},
    headers={"Authorization": "Bearer YOUR_API_KEY"},
    timeout=10,
)
print(resp.json())

把 YOUR_API_KEY 换成你的密钥即可直接运行。密钥只保存在你自己的设备上。